org.eclipse.emf.cdo.common.id

## Enum CDOID.Type

- java.lang.Object
- - java.lang.Enum<CDOID.Type>
  - - org.eclipse.emf.cdo.common.id.CDOID.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CDOID.Type>
  Enclosing interface:
    CDOID

      public static enum CDOID.Type
      extends java.lang.Enum<CDOID.Type>

  Enumerates the possible types of CDO `IDs`.
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DANGLING_OBJECT`
    `EXTERNAL_OBJECT`
    `EXTERNAL_TEMP_OBJECT`
    `NIL`
    `NULL`
    `OBJECT`
    `TEMP_OBJECT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getID()`
    `static java.lang.Enum<?>` | `getLiteral(char id)`
    `static CDOID.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CDOID.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final CDOID.Type NULL

    - #### NIL

          public static final CDOID.Type NIL

      Since:
        4.7

    - #### OBJECT

          public static final CDOID.Type OBJECT

    - #### EXTERNAL_OBJECT

          public static final CDOID.Type EXTERNAL_OBJECT

      Since:
        2.0

    - #### DANGLING_OBJECT

          public static final CDOID.Type DANGLING_OBJECT

      Since:
        3.0

    - #### EXTERNAL_TEMP_OBJECT

          public static final CDOID.Type EXTERNAL_TEMP_OBJECT

      Since:
        2.0

    - #### TEMP_OBJECT

          public static final CDOID.Type TEMP_OBJECT

  - ### Method Detail

    - #### values

          public static CDOID.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOID.Type c : CDOID.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOID.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLiteral

          public static java.lang.Enum<?> getLiteral(char id)

      Since:
        4.0

    - #### getID

          public char getID()

      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html